appstory6/urls.py
from django.conf.urls import url
from django.urls import path
from .views import landingPage,profile,coba,delete_new,subscribe,validate,success
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

app_name = 'appstory6'

urlpatterns = [
	path('home', landingPage, name="form"),
	path('', profile, name="profile"),
	path('addstatus', coba, name="addstatus"),
	path('delete_new', delete_new, name='delete_new'),
	path('subscribe', subscribe, name="subscribe"),
    path('validate', validate),
    path('success', success, name="success")
] 
urlpatterns += staticfiles_urlpatterns()

appstory9/urls.py
from django.conf.urls import url
from django.urls import path
from . import views

app_name = 'appstory9'

urlpatterns = [
	path('', views.search_book, name="searchbook"),
	path('add-fav', views.add_fav, name="add-fav"),
	path('del-fav', views.del_fav, name="del-fav"),
	path('my-fav', views.my_fav, name="fav"),
	path('logout', views.logout, name="logout"),
]


story6/urls.py
from django.contrib import admin
from django.urls import path, include
# from .views import logout_views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('appstory6.urls')),
    path('books/', include('appstory9.urls')),
    # path('login/', views.LoginView.as_view(), name='login'),
    # path('login/', views.login, name='login'),
    # path('logout/', views.logout, name='logout'),
    path('auth/', include('social_django.urls', namespace='social')),
    # path('', include('social.apps.django_app.urls', namespace='social')),

]

appstory6/models.py
from django.db import models
from django.utils import timezone

class Status(models.Model):
    message = models.CharField(max_length = 300)
    created_at = models.DateTimeField(auto_now_add=True,  null=True, blank=True)

class Subscriber(models.Model):
    name = models.CharField(max_length = 50)
    password = models.CharField(max_length = 20)
    email = models.CharField(max_length = 50)

appstory6/forms.py
from django import forms


class StatusForm(forms.Form):
    stats_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder':'Status',
    }
    message = forms.CharField(max_length = 300, widget=forms.TextInput(attrs=stats_attrs))

class SubscribeForm(forms.Form):
    email_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder':'Example: fitri@gmail.com',
    }
    name_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder':'Full Name',
    }
    pass_attrs = {
        'type': 'password',
        'class': 'form-control',
        'placeholder':'Password',
    }
    name = forms.CharField(max_length = 50, error_messages={"required": "Please enter your name"}, widget = forms.TextInput(attrs=name_attrs))
    password = forms.CharField(max_length = 20, min_length=6, widget = forms.PasswordInput(attrs=pass_attrs), error_messages={"min_length": "password must be longer than 5 characters"})
    email = forms.EmailField(error_messages={"required": "Please enter a valid email"}, max_length=50, widget=forms.TextInput(attrs=email_attrs))

appstory6/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse, HttpResponseRedirect, JsonResponse
from .forms import StatusForm, SubscribeForm
from .models import Status, Subscriber 
from django.views.decorators.csrf import csrf_exempt
from django.contrib.auth import authenticate, login, logout

def landingPage(request):
  form = StatusForm()
  response = {}
  status = Status.objects.all()
  response['form'] = form
  response['status'] = status
  return render(request, 'form.html', response)

def coba(request):
  form = StatusForm(request.POST or None)
  if (request.method == 'POST' and form.is_valid()):
    status = request.POST.get('status')
    Status.objects.create(message=status)
    print(status)
    return HttpResponseRedirect('/')
  else:
    return HttpResponseRedirect('/') 

def delete_new(request):
  Status.objects.all().delete()
  return redirect('/')

def profile(request):
  return render(request, 'landingpage.html', {})

def subscribe(request):
  response = {}
  response["forms"] = SubscribeForm()
  return render(request, 'subscribe.html', response)

@csrf_exempt
def validate(request):
  email = request.POST.get("email")
  data = {'not_valid': Subscriber.objects.filter(email__iexact=email).exists()}
  return JsonResponse(data)
  
def success(request):
  submited_form = SubscribeForm(request.POST or None)
  if (submited_form.is_valid()):
    cd = submited_form.cleaned_data
    new_subscriber = Subscriber(name=cd['name'], password=cd['password'], email=cd['email'])
    new_subscriber.save()
    data = {'name': cd['name'],'password':cd['password'], 'email':cd['email']}
    return JsonResponse(data)

# def logout_view(request):
#   logout(request)
#   return HttpResponseRedirect('/books')
    








appstory6/templates/form.html

<!DOCTYPE html>
<html>
	<head>
		
			{% load static %}
			{% load crispy_forms_tags %}
			<title>How are you?</title>
			<link rel="stylesheet" href="{% static "style2.css" %}">
			<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
			<meta name="viewport" content="width=device-width, initial-scale=1">
			<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
			 <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
			<style type="text/css">
				body{
				/*margin-left: 50px;*/
				background: linear-gradient(132deg, #3bdcf1, #8ddec3, #c7dab1, #1C84D0, #e7dbd8, #2288AA,#2A2FE0);
				background-size: 400% 400%;
				animation: BackgroundGradient 40s ease infinite;
			}
			@keyframes BackgroundGradient {
				0% {background-position: 0% 50%;}
				50% {background-position: 100% 50%;}
				100% {background-position: 0% 50%;}
			}
				.container{width: 100%}
				.col-sm-12 h1{text-align: center; font-size: 80px; color: #000066; font-family: rum raisin}
				.col-sm-12 h4{text-align: left; padding: 20px; padding-left: 0px}
		
				.registerbtn {
					background-color: #051937;
					color: white;
					padding: 10px;
					margin: 8px 0;
					border-radius: 4px;
					border-color: #051937;
					cursor: pointer;
					width: 8%;
					opacity: 0.9;
					}
		
				.btn {
					background-color: DodgerBlue;
					border: none;
					color: white;
					padding: 12px 16px;
					font-size: 16px;
					cursor: pointer;
				}
				@media screen and (max-width: 600px){
					.registerbtn{
						width: 30%;
					}
				}
		
		
		
		</style>
		</head>
		
		<body>

		
				<!-- Preloader -->
		   <!--  <div id="preloader">
				<div class="spinner"></div>
			</div> -->
		
			{% block content %}
			<div class="container">
				<div class="col-sm-12" style="margin-top: 10%; margin-bottom: 7%;">
					<h1>Hello, Apa Kabar?</h1>
				</div>
				<div class="col-sm-12" style="padding-left: 50px; padding-right: 45px;">
					<div class="form-group">
						<form id="form" method="POST" action="{% url 'appstory6:addstatus' %}">
							{% csrf_token %}
							{{ form|crispy }}
						<button id='submit' type="submit" class="registerbtn" value="submit">Submit</button>
						</form>
					</div>
						<a href="{% url 'appstory6:profile' %}" class="btn btn-primary btn-lg active" role="button" aria-pressed="true">See My Profile</a>
					
				</div>
				<hr style="margin-top: 10%; margin-bottom: 5%;">
				<div class="col-sm-12" style="padding: 10px;">
					<h4><b>STATUS<b></h4> 
					{% if status %}
					{% for event in status %}
					 <div class="alert alert-dark" role="alert">
					 <div>
							 {{ event.message }} <br>
					  </div>
					  <div style="font-size: 12px;">
							   {{ event.created_at }}
					   </div>
					  </div>
					  {% endfor %}
					  {% else %}
				  <h5>No schedule</h5> 
				  {% endif %} <br>
						<a href="{% url 'appstory6:delete_new' %}" class="btn btn-primary btn-lg active" role="button" aria-pressed="true" float="center">Delete Status</a><br><br>
		
					</div>
		
			 <br>
			</div>
			</div>
		
		
			<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
			<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
			<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
			{% endblock %}
		
				<script src="{%static 'js/active.js'%}"></script>
		</body>
		</html> 	

appstory6/templates/landingpage.html
<!DOCTYPE html>
<html>
<head>
     {% load static %}
    <title>profile</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <link rel="stylesheet" href="{% static "style2.css" %}">

    <meta name="viewport" content="width=device-width, initial-scale=1">
  
</head>
<body >
      <!-- Preloader -->
    <div id="preloader">
        <div class="spinner"></div>
    </div>

            <div class = "content"></div>
            <div class="container">
                <div class="row">
                    <div class="col-sm-12" style="margin-top: 10%;">
                        <h1><b>MY PROFILE<b></h1>
                            <hr>
                    </div>

                <div class="row" >
                    <div class="col-3" style="padding:20px; margin-top: 22px">
                        <a href="https://imgur.com/a/krQeMKA"><img src="https://imgur.com/a/krQeMKA" title="profil fitri" style="width:250px;height:300px;"/></a>
                    </div>
                    <div class="col-4" style="padding:10px; margin-top: 22px">

                       <h3 style="text-align: center">Hi, I am Fitri student University of Indonesia, majoring in Information System who likes to learn new things.</h3>
                   
                    <div class="link" style="margin-bottom: 10%"></div>
                         <button type="button" class="btn btn-primary" style="background:#2288AA">Switch Color</button> 
                         <a class="btn btn-primary" href="{% url 'appstory9:searchbook' %}" role="button">Books</a>
                         <a class="btn btn-primary" href="{%url 'appstory6:subscribe' %}" role="button">Subscribe</a><br><br>
                         <a class="btn btn-primary" href="{% url 'appstory6:form' %}" role="button">Make status</a>

                    </div>
                     <div class="row">
                     <div class="col-sm-12" style="margin-right: 5%"><br>
                        <dl class = "accordion">
                            <dt>Aktivitas</dt>
                                <dd>
                                    <ul>
                                        <li>Kuliah di fasilkom</li>  
                                    </ul> 
                                </dd>
                            <dt>Pengalaman Organisasi dan Kepanitiaan</dt>
                                <dd>
                                    <ul>
                                        <li>DPM FASILKOM UI 2018</li>   
                                        <li>PJ Acara - Wisuda Genap Fasilkom UI 2018</li>
                                        <li>Staff Humas Publikasi - Pemira Fasilkom UI 2018</li>
                                        <li>Staff Konsumsi - SiwakNG 2018</li>
                                        <li>Staff Acara - Wisuda Ganjil Fasilkom UI 2018</li>       
                                        <li>Staff Fundraising - Compfest X</li>
                                        <li>Staff Perlengkapan - CGT Fasilkom UI</li>
                                        <li>Staff LO - Bedah Kampus UI 2017</li>    
                                    </ul>
                                </dd>
                            <dt>Prestasi</dt>
                                <dd>
                                    <ul>
                                        <li>:)</li>
                                    </ul>
                                </dd>
                            </dl>
                            <br>

                                            
                                                </div>
                                            </div>
                                        </div>    
         
                   

                   <script type="text/javascript">
                    var color = ["#97b9ed", "#a5adeb", "#b8a0e2", "#cc91d3", "#dd82bc"]
                    var i = 0;
                    document.querySelector("button").addEventListener("click", function(){
                    i= i < color.length ? ++i :0;
                    document.querySelector("body").style.background = color[i]
                    })
                     $(document).ready(function(){
                $(".accordion").find("dd").hide();
                $(".accordion").find('dt').click(function(){
                    $(this).next('dd').slideToggle();
                });
            })


    </script>

    <script src="{%static 'js/active.js'%}"></script>


                    </div>
                    </div>
                    </div>
                </div>




</body>
</html>

appstory6/templates/subscribe.html
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
        <link href="https://fonts.googleapis.com/css?family=Raleway:600,700" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/sweetalert2@7.29.0/dist/sweetalert2.min.css">
        <link rel="stylesheet" type="text/css" href="{% static 'style2.css' %}">
        <title>Subscribe me!</title>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
        <script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>
        <style type="text/css">
        .form-group{
            border-radius: 5px;
            background-color:rgba(72,72,72,0.4);
            padding: 30px;      
        }
        .container .btn {
            position: absolute;
            transform: translate(-50%, 0%);
            -ms-transform: translate(-90%, -50%);
            background-color: #f1f1f1;
            color: black;
            font-size: 16px;
            padding: 10px 20px;
            border: none;
            cursor: pointer;
            border-radius: 5px;
            text-align: center;
        }

        .container .btn:hover {
        background-color: black;
        color: white;
}
      


        </style>
    </head>
    <body>
        
        <div class ="container"><br>
            <h1 class="text-center m-2" style="color:white;font-weight:bold">SUBSCRIBE ME !</h1>
            <div class="row m-5">
                <div class="col-md-3"></div>
                <div class="col-md-6">
                    <form method="POST">
                        <div class="form-group">
                            {%csrf_token%}
                            {{forms}}
                        </div>
                        <div class = "text-center">
                        <button id= "submit_subscribe" disabled= "disabled" type="submit" class = "btn btn-primary">Subscribe</button>
                        </div>
                    </form>
                </div>
                <div class="col-md-3"></div>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@7.29.0/dist/sweetalert2.all.min.js"></script>
        <script src="{%static 'js/subscribe.js'%}"></script>
    </body>
</html>

appstory6/templates/succsess.html
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
        <title>Subscribe success</title>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/sweetalert2@7.29.0/dist/sweetalert2.min.css">
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@7.29.0/dist/sweetalert2.all.min.js"></script>
        <script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>
        
    </head>
    <body>
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@7.29.0/dist/sweetalert2.all.min.js"></script>
        <script>
            swal(
            'Success!',
            'Your data is recorded. Redirecting you back to home...',
            'success'
            ).then(function() {
                window.location = "{%url 'app_story6:profile'%}"
            });
        </script>
    </body>
</html>